
[logging]
  default = SYSLOG:err:auth
  kdc = FILE:/var/log/krb5kdc.log
  admin_server = FILE:/var/log/kadmind.log

[libdefaults]
  ticket_lifetime = 10080
  default_realm = HEP.WISC.EDU
  dns_lookup_realm = false
  dns_lookup_kdc = false

[realms]
  HEP.WISC.EDU = {
    kdc = anise.hep.wisc.edu:88
    kdc = fennel.hep.wisc.edu:88
    kdc = rosemary.hep.wisc.edu:88
    admin_server = anise.hep.wisc.edu:749
    default_domain = hep.wisc.edu
  }
  CERN.CH = {
    default_domain = cern.ch
    kpasswd_server = afskrb5m.cern.ch
    admin_server = afskrb5m.cern.ch
    kdc = afsdb3.cern.ch
    kdc = afsdb1.cern.ch
    kdc = afsdb2.cern.ch
    v4_name_convert = {
      host = {
        rcmd = host
      }
    }
  }
  FNAL.GOV = {
    kdc = krb-fnal-1.fnal.gov:88
    kdc = krb-fnal-2.fnal.gov:88
    kdc = krb-fnal-3.fnal.gov:88
    kdc = krb-fnal-4.fnal.gov:88
    kdc = krb-fnal-5.fnal.gov:88
    kdc = krb-fnal-6.fnal.gov:88
    admin_server = krb-fnal-admin.fnal.gov
    default_domain = fnal.gov
  }
  SLAC.STANFORD.EDU = {
    kdc = k5auth1.slac.stanford.edu:88 
    kdc = k5auth2.slac.stanford.edu:88 
    kdc = k5auth3.slac.stanford.edu:88
    master_kdc = k5auth1.slac.stanford.edu:88
    admin_server = k5admin.slac.stanford.edu
    kpasswd_server = k5passwd.slac.stanford.edu
    default_domain = slac.stanford.edu
    v4_name_convert = {
      host = {
        rcmd = host
      }
    }
  }

[domain_realm]
  .hep.wisc.edu = HEP.WISC.EDU
  hep.wisc.edu = HEP.WISC.EDU
 
[kdc]
  profile = /var/kerberos/krb5kdc/kdc.conf

[appdefaults]
  default_lifetime = 10080
  retain_ccache = false
  autologin = true
  forward = true
  forwardable = true
  renewable = true
  encrypt = true
  pam = {
    #debug = true
    ticket_lifetime = 10080
    renew_lifetime = 10080
    minimum_uid = 500
    forwardable = true
    krb4_convert = true
    afs_cells = hep.wisc.edu
  }
  afs_krb5 = {
    HEP.WISC.EDU = {
      afs = false
    }
  }

